Bug 569492 - Review Request: Ailurus - make Linux easier to use for newcomers
Summary: Review Request: Ailurus - make Linux easier to use for newcomers
Status: CLOSED DUPLICATE of bug 619048
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-01 15:42 UTC by homerxing
Modified: 2010-07-29 14:18 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-07-28 12:59:44 UTC


Attachments (Terms of Use)

Description homerxing 2010-03-01 15:42:49 UTC
SPEC URL: 
http://ailurus.googlecode.com/files/ailurus.spec

SRPM URL:
http://ailurus.googlecode.com/files/ailurus-10.02-1.src.rpm

Description: 

Ailurus is an application which aims at making Linux easier to use.
It provides these functionality.
* Help users study some Linux skills
* Install/remove some nice applications
* Display information about BIOS, motherboard, CPU and battery
* Configure some GNOME settings


* From package maintainers wishlist -
http://fedoraproject.org/wiki/Package_maintainers_wishlist#A-D

* rpmlint - clean on spec and rpms

* Koji build successfully -
http://koji.fedoraproject.org/koji/taskinfo?taskID=2022102



Dear maintainers, 

Ailurus is a popular application among Ubuntu users. I hope Ailurus will be accepted by Fedora.

I had submitted a review request for Ailurus 10.01. However, that request cannot pass the FE-Legal check. The developers have changed the source code. Ailurus 10.02 does not install proprietary/patent software, or install third party repositories. 

( This bug report is not a duplication of bug #553615. )

Comment 1 Chen Lei 2010-03-18 08:54:46 UTC
One comment:
Using /usr/share/PolicyKit/policy/cn.ailurus.policy for F11
Using /usr/share/polkit-1/actions/cn.ailurus.policy for F12 and later

Comment 2 homerxing 2010-04-24 14:22:47 UTC
Dear maintainers, 

Ailurus version 10.04.2 is released. 

SPEC URL: 
http://github.com/homerxing/Ailurus/raw/master/ailurus.spec

SRPM URL:
http://homerxing.fedorapeople.org/ailurus-10.04.2-1.src.rpm

RPM URL:
http://homerxing.fedorapeople.org/ailurus-10.04.2-1.noarch.rpm

It cannot install any third party repository. It cannot install any close source software. 

Hope this request will be reviewed.

Comment 3 Chen Lei 2010-04-24 15:22:54 UTC
Please list files more explicit on %file instead of %files -f INSTALLED_FILES.

Comment 4 homerxing 2010-04-25 04:18:31 UTC
OK. SPEC has been changed. 

Currently use:
%files
%defattr(-,root,root)
%{python_sitelib}/ailurus/
%{_bindir}/ailurus
%doc %{_mandir}/man1/ailurus.1*
%{_datadir}/desktop-directories/ailurus_quick_start.directory
%{_sysconfdir}/xdg/menus/applications-merged/ailurus.menu
%{_datadir}/applications/ailurus*.desktop
%{_datadir}/ailurus/
%{_datadir}/dbus-1/system-services/cn.ailurus.service
%{_sysconfdir}/dbus-1/system.d/cn.ailurus.conf
%{_datadir}/PolicyKit/policy/cn.ailurus.policy
%{_datadir}/polkit-1/actions/cn.ailurus.policy
%{_datadir}/locale/*/LC_MESSAGES/ailurus.mo
%{_datadir}/omf/ailurus
%{python_sitelib}/ailurus*.egg-info

instead of:
%files -f INSTALLED_FILES

new SPEC URL: 
http://github.com/homerxing/Ailurus/raw/master/ailurus.spec

new SRPM URL:
http://homerxing.fedorapeople.org/ailurus-10.04.2.2-1.src.rpm

new RPM URL:
http://homerxing.fedorapeople.org/ailurus-10.04.2.2-1.noarch.rpm

Sorry for late reply, because I spent much time in finding the variables such as %{python_sitelib} :)

Comment 5 homerxing 2010-05-26 12:23:46 UTC
Dear all,

A new upstream version is released.

new SPEC URL: 
http://github.com/homerxing/Ailurus/raw/master/ailurus.spec

new SRPM URL:
http://homerxing.fedorapeople.org/ailurus-10.05.91-1.src.rpm

new RPM URL:
http://homerxing.fedorapeople.org/ailurus-10.05.91-1.noarch.rpm

Hope this package will be reviewed.

Comment 6 Ankur Sinha (FranciscoD) 2010-06-03 16:46:09 UTC
hey,

a quick look:

- use http://fedoraproject.org/wiki/Packaging/Python#Macros for the python macros
- You don't need all the defines at the beginning. Please get rid of them? It's just doing it twice :)
- no need for unmangled_version, it looks same as version
- prefix is not to be defined in a tag
- vendor tag is obsolete

have a look at https://fedoraproject.org/wiki/A_Short_RPM_Tutorial#A_complete_hello.spec_file for the tags to be used.

You should add comments rationalizing the Requires as per https://fedoraproject.org/wiki/Packaging/Guidelines#Explicit_Requires

- use cflags so the build section would go:
%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

- similiarly the install section would go 
%{__python} setup.py install --skip-build

Please go through the fedora packaging guidelines at the above mentioned links and then maybe we can do a complete review.

regards,
Ankur

Comment 7 homerxing 2010-06-05 03:01:59 UTC
Dear Ankur,

I have changed the spec as follows:
  use python macros provided by Fedora
  remove name, version, unmangled_version and vendor tag
  reorder the tags according to hello.spec_file
  add comments rationalizing the "requires" tag
  use cflags in %build
  use python macros in %install

rpmlint output nothing on spec.

Koji build successfully for Fedora 12 and Fedora 13
http://koji.fedoraproject.org/koji/taskinfo?taskID=2231001
http://koji.fedoraproject.org/koji/taskinfo?taskID=2231006

Here is the new spec:
http://github.com/homerxing/Ailurus/raw/master/ailurus.spec

Hope a complete review will begin. :)

Thank you very much.

Best regards,
Homer

Comment 8 homerxing 2010-06-05 03:42:10 UTC
The introduction of Ailurus is vague. Please let me do some explanation. I wrote down some questions and upstream developers' answers here.

What is Ailurus?
Ailurus is cross-Linux-distribution GPL software, which aims at making Linux easier to use, for newcomers.

Who is the target audience of Ailurus?
The target audience of Ailurus is the newcomer to linux, e.g., the people who uses Linux for not more than one month.

What does Ailurus hope to do?
Ailurus hopes to reduce the difficulty which newcomers encounter when they are using Linux.
Ailurus hopes to promote popular open-source software.
Ailurus hopes to promote open-source software which is elegant but has not entered official repository.

How does Ailurus do this?
Ailurus invokes yum to install software.
Ailurus invokes GConf to change GNOME settings.
Ailurus invokes PolicyKit to do authentication.
Ailurus reads files in /proc and invokes lspci to get hardware information.

Is Ailurus a replacement for yum?
No. Ailurus will never be replacement for yum, because yum is perfect.

Does Ailurus duplicate PackageKit efforts? Is Ailurus re-inventing a wheel?
No. Ailurus is not re-inventing a wheel. Ailurus will never duplicate PackageKit efforts, because PackageKit is elegant and awesome.
Ailurus is different from PackageKit, because
 1. PackageKit list ALL rpms. Ailurus list only less than 50 rpms.
 2. Ailurus can change GNOME settings, and do some other things which PackageKit cannot do.

Why not implement the features in PackageKit?
Ailurus is a test bed for new features. If PackageKit developers wish to merge features in Ailurus, welcome!

Do Ailurus uses native Fedora packages when possible?
Yes. Since version 10.05.91, Ailurus begins to use native Fedora packages when possible.

Can Ailurus install close-source software or proprietary software?
No. Ailurus will never install close-source software or proprietary software.

Best regards,
Homer

Comment 9 Ankur Sinha (FranciscoD) 2010-07-09 07:39:53 UTC
hi,

Sorry for the delay. Can you please provide a link to the srpm so I can do a complete review?

Thanks

Comment 10 homerxing 2010-07-09 07:59:41 UTC
Dear Ankur,

Here is the srpm http://homerxing.fedorapeople.org/ailurus-10.06.8-0.fc13.src.rpm

Hope a complete review will begin. :)

Best regards,
Homer

Comment 11 Ankur Sinha (FranciscoD) 2010-07-11 18:05:47 UTC
I just noticed that you need a sponsor, so I can't officially review this one, sorry.

here's an **INFORMAL** review (since I promised). It'll make the package better and easier for a sponsor to review. She/he will have to do it again though. 

+ OK
- NA 
? ISSUE

=================================================================================

+ Package meets naming and packaging guidelines
+ Spec file matches base package name.
+ Spec has consistant macro usage.
+ Meets Packaging Guidelines.
+ License
+ License field in spec matches
+ License file included in package
+ Spec in American English
+ Spec is legible.
+ Sources match upstream md5sum:
[Ankur@localhost rpmbuild]$ md5sum ailurus-10.06.8.tar.gz 
3eac90bab9fe03c53f5ce5ec067cc693  ailurus-10.06.8.tar.gz
[Ankur@localhost rpmbuild]$ md5sum SOURCES/ailurus-10.06.8.tar.gz 
3eac90bab9fe03c53f5ce5ec067cc693  SOURCES/ailurus-10.06.8.tar.gz


- Package needs ExcludeArch
+ BuildRequires correct
? Spec handles locales/find_lang
- Package is relocatable and has a reason to be.
+ Package has %defattr and permissions on files is good.
+ Package has a correct %clean section.
+ Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
? Package is code or permissible content.
- Doc subpackage needed/used.
+ Packages %doc files don't affect runtime.

- Headers/static libs in -devel subpackage.
- Spec has needed ldconfig in post and postun
- .pc files in -devel subpackage/requires pkgconfig
- .so files in -devel subpackage.
- -devel package Requires: %{name} = %{version}-%{release}
- .la files are removed.

+ Package is a GUI app and has a .desktop file

- Package compiles and builds on at least one arch.
+ Package has no duplicate files in %files.
? Package doesn't own any directories other packages own.
? Package owns all the directories it creates.
? No rpmlint output.

SHOULD Items:

+ Should build in mock.
+ Should build on all supported archs
+ Should function as described.
- Should have sane scriptlets.
- Should have subpackages require base package with fully versioned depend.
+ Should have dist tag
+ Should package latest version
- check for outstanding bugs on package. (For core merge reviews)

Issues:

1. Please use %find_lang for locale files
https://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files

2. I see a url.py with reference to repositories such as adobe and Rpmfusion. What exactly is the purpose of these? If these are used to configure these 3rd party repos, I'll have to confirm with legal if the package can be added into fedora. (otherwise we would have already had a nifty tool to set up Rpmfusion IMO)

Please contact fedora-legal and get this clarified. 

3. The files section needs some cleaning up. 
%{datadir}/icons -> %{datadir}/icons/*

From:
http://fedoraproject.org/wiki/PackageMaintainers/CreatingPackageHowTo#.25files_section

" If you list a directory in the %files section, then you are claiming that this package owns that subdirectory and all files and directories in it, recursively (all the way down) if they are present in the build root"

4. rpmlint output is downright UGLY :P


[Ankur@localhost SPECS]$ rpmlint  ailurus.spec ../SRPMS/ailurus-10.06.8-0.fc13.src.rpm /var/lib/mock/fedora-rawhide-i386/result/*.rpm
ailurus.src: W: summary-not-capitalized C makes Linux easier to use
ailurus.src: W: invalid-url URL: http://ailurus.googlecode.com/ IncompleteRead(0 bytes read)
ailurus.noarch: W: summary-not-capitalized C makes Linux easier to use
ailurus.noarch: W: incoherent-version-in-changelog 10.06.8-1 ['10.06.8-0.fc14', '10.06.8-0']
ailurus.noarch: W: invalid-url URL: http://ailurus.googlecode.com/ IncompleteRead(0 bytes read)
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/info_pane.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/support/windowpos.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/ubuntu/libserver.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/support/terminal.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/gnome/__init__.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/ubuntu/quick_setup.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/loader.py 0644L /usr/bin/env
ailurus.noarch: W: non-conffile-in-etc /etc/dbus-1/system.d/cn.ailurus.conf
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/strings.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/fedora/rpm_recovery_pane.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/ubuntu/tips.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/lib.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/gnome/osinfo.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/support/dump_apt_autoremovable.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/support/dump_rpm_existing.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/ubuntu/apps.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/support/dump_rpm_installed.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/support/terminal_single_thread.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/common/setting.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/clean_up_pane.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/common/hardwareinfo.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/fedora/apps_eclipse.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/ubuntu/app_from_external_repos.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/daemon.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/common/tips.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/support/dump_rpm_existing_new.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/support/dumpaptcache2.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/common/osinfo.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/ubuntu/__init__.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/fedora/cure.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/support/safely_deletable_pkgs.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/ubuntu/third_party_repos.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/support/searchbox.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/fedora/menu.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/common/__init__.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/support/tipoftheday.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/common/menu.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/gnome/setting.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/ubuntu/cure.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/libapp.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/fedora/apps.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/ubuntu/menu.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/libsetting.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/support/undobuffer.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/common/apps.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/urls.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/ubuntu/setting.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/support/keygrabber.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/computer_doctor_pane.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/fedora/fastest_mirror_pane.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/download_icons.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/install_remove_pane.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/gnome/apps.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/support/update_url.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/fedora/__init__.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/support/dump_deb_existing.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/support/dump_deb_installed.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/ubuntu/apps_eclipse.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/show_a_linux_skill_bubble.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/system_setting_pane.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/support/splashwindow.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/libu.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/common/cure.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/support/gdm_gconf.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/support/checkupdate.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/gnome/tips.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/main.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/ubuntu/fastest_mirror_pane.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/ubuntu/apt_recovery_pane.py 0644L /usr/bin/env
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/fedora/libserver.py 0644L /usr/bin/env
ailurus.noarch: E: standard-dir-owned-by-package /usr/share/icons
ailurus.noarch: E: non-executable-script /usr/lib/python2.6/site-packages/ailurus/ubuntu/app_tasksel.py 0644L /usr/bin/env
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/ar/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/be/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/bg/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/bn/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/bs/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/ca/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/cs/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/da/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/de/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/el/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/en_AU/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/en_CA/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/en_GB/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/eo/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/es/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/fa/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/fi/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/fo/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/fr/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/ga/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/gl/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/he/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/hi/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/hu/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/id/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/is/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/it/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/ja/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/jv/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/ka/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/kk/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/ko/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/lt/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/mk/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/ml/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/ms/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/nb/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/nl/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/nn/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/oc/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/pl/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/pt/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/pt_BR/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/ro/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/ru/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/sk/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/sl/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/sq/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/sr/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/sv/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/te/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/th/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/tr/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/uk/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/vi/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/zh_CN/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/zh_HK/LC_MESSAGES/ailurus.mo
ailurus.noarch: W: file-not-in-%lang /usr/share/locale/zh_TW/LC_MESSAGES/ailurus.mo
ailurus.src: W: summary-not-capitalized C makes Linux easier to use
ailurus.src: W: invalid-url URL: http://ailurus.googlecode.com/ IncompleteRead(0 bytes read)
3 packages and 1 specfiles checked; 71 errors, 66 warnings.

5. The summary could use some meat. "makes linux easier to use" isn't really telling the user anything.


================================================================================

Please look at

https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

regards,
Ankur

Comment 12 homerxing 2010-07-12 01:45:34 UTC
Dear Ankur, 

Thank you very much!

I will correct the errors as soon as possible.

Best regards,
Homer

Comment 13 homerxing 2010-07-12 03:49:03 UTC
I have fixed some issues.

1. Adopt %find_lang for locale files

2. The strings in url.py pointing to repositories such as adobe and Rpmfusion, are obsolete. If someone do a grep, he will find that the strings are not used in any other files in ailurus directory. Therefore I remove these strings. I think ailurus is certainly legal.

3. Clean up the files section
%{datadir}/icons -> %{_datadir}/icons/hicolor/*/apps/ailurus.png

4. rpmlint output has no errors now.

5. Change the summary. New summary is:
  "A simple software center and GNOME tweaker"


However, currently rpmlint outputs a warning:

$ rpmlint ~/rpmbuild/RPMS/noarch/ailurus-10.06.93-0.fc13.noarch.rpm
ailurus.noarch: I: enchant-dictionary-not-found en_US
ailurus.noarch: W: invalid-url URL: http://ailurus.googlecode.com/ IncompleteRead(0 bytes read)
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

I don't know the reason. :( 
Would you please tell me why?


New spec:
http://github.com/homerxing/Ailurus/raw/master/ailurus.spec

New SRPM:
http://homerxing.fedorapeople.org/ailurus-10.06.93-0.fc13.src.rpm

Koji built sucessfully.

Best regards,
Homer

Comment 14 Liang Suilong 2010-07-28 12:59:44 UTC
Homer Xing, the author of ailurus, decided to be more absorbed in developing ailurus. So he has given up this bug report. The package review should be closed. 

I will take over ailurus' request. So I will close this bug report and open a new one.

Comment 15 Chen Lei 2010-07-28 13:20:14 UTC

*** This bug has been marked as a duplicate of bug 619048 ***


Note You need to log in before you can comment on or make changes to this bug.